include ../button/button
include ../header/header
include ../similar/similar
include ../product/product

mixin blog-page(data, home)
	- data = data || {}

	+b.blog-page(class= home ? "" : "_single").js-blog-page
		+e.wrap
			if home
				+e.A.header(href='/blog-post.html')= data.title
			else
				+e.header._no-link= data.title
		+e.contents
			- data.contents = home ? data.contents.slice(0, 3) : data.contents
			each node in data.contents
				if node.paragraph
					+e.wrap
						+e.paragraph()
							= node.paragraph
				else if node.picture
					+e.picture.js-picture
						+e.IMG.image(src=node.picture)
						if node.title
							+e.wrap
								+e.caption()
									= node.title
				else if node.product
					+e.product-wrap
						+product(node.product)

		+e.wrap
			+e.footer
				if home
					+button({'text': data.readMore})
				+e.meta
					+e.date()
						= data.date
					+e.tags
						each tag in data.tags
							+e.A.tag(href='#')
								= tag
					if !home
						+e.likely
							+e.text Поделиться
							.likely
								.twitter
								.facebook
								.vkontakte
								.odnoklassniki
								.whatsapp
								.telegram
			if !home
				+header({text: 'Обсуждение'})._h2
				+e.comments
					each comment in data.comments
						+b.comment
							+e.meta
								+e.author()
									= comment.author
								+e.date()
									= comment.date
							+e.text()
								= comment.text
					+e.add-comment
						+e.TEXTAREA(placeholder='Ваш комментарий')
						+button(({'text': 'Отправить'}))
